Foxit PDF RDK

Public Member Functions | List of all members
TextFillSignObject Class Reference
Inheritance diagram for TextFillSignObject:

## Public Member Functions
| TextFillSignObject ()
| Constructor.
| constructor (fillsign_object)
| Constructor, with parent class object. More...
| GetTextDataArray ()
| Get text data array. More...
| IsCombFieldMode ()
| Check whether current mode is comb field mode or not. More...
Public Member Functions inherited from FillSignObject
| constructor ()
| Constructor.
| GenerateContent ()
| Generate content for current fill-sign object. More...
| GetRect ()
| Get rectangle, in PDF coordinate system. More...
| GetType ()
| Get fill-sign type. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| Move (point, width, height, rotation)
| Move current fill-sign object. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Detailed Description

Class TextFillSignObject is derived from class FillSignObject, and is used to represent a text fill-sign object.

See also
  FillSignObject

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ constructor()

TextFillSignObject.constructor | ( | fillsign_object |  | ) |

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## ◆ GetTextDataArray()

TextFillSignObject.GetTextDataArray | ( |  | ) |

Get text data array.

Returns
  A text data array.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ IsCombFieldMode()

TextFillSignObject.IsCombFieldMode | ( |  | ) |

Check whether current mode is comb field mode or not.

Returns
  true means current mode is comb field mode, while false means current mode is normal mode.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.